Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.IdentityProperties Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| IdentityProperties ()
| Constructor.
| IdentityProperties (string corporation, string email, string login_name, string name, string first_name, string last_name, string title, string department)
| Constructor, with parameters. More...
| IdentityProperties (IdentityProperties id_properities)
| Constructor, with another identity properties object. More...
void | Set (string corporation, string email, string login_name, string name, string first_name, string last_name, string title, string department)
| Set values. More...

## Properties
string | corporation`[get, set]`
| The corporation name.
string | department`[get, set]`
| The department name.
string | email`[get, set]`
| The email address.
string | first_name`[get, set]`
| The user first name.
string | last_name`[get, set]`
| The user last name.
string | login_name`[get, set]`
| The login name. Usually, this is the name used to log in current operating system.
string | name`[get, set]`
| The user name.
string | title`[get, set]`
| The user title.

## Detailed Description

This class represents identity properties of current user, and is used for callback function ActionCallback.GetIdentityProperties .

## Constructor & Destructor Documentation

## ◆ IdentityProperties() [1/2]

foxit.pdf.actions.IdentityProperties.IdentityProperties | ( | string | corporation,
|  | string | email,
|  | string | login_name,
|  | string | name,
|  | string | first_name,
|  | string | last_name,
|  | string | title,
|  | string | department
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The user last name.
  [in] | title | The user title.
  [in] | department | The department name.

## ◆ IdentityProperties() [2/2]

foxit.pdf.actions.IdentityProperties.IdentityProperties | ( | IdentityProperties | id_properities | ) |
| inline

Constructor, with another identity properties object.

Parameters

  [in] | id_properities | Another identity properties object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.IdentityProperties.Set | ( | string | corporation,
|  | string | email,
|  | string | login_name,
|  | string | name,
|  | string | first_name,
|  | string | last_name,
|  | string | title,
|  | string | department
| ) |  |
| inline

Set values.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The uesr last name.
  [in] | title | The user title.
  [in] | department | The department name.

Returns
  None.